Is AI recommending you? Ask Contentstack Canoe for free
Is AI recommending your brand? Find out with Contentstack Canoe for free
Contentstack.comAcademyLogin
CS-log-dark.svgCS-log-dark.svg
  • Changelog
  • APIs
  • SDKs

Platform

  • Solution Center
  • Marketplace
  • Changelog
  • Developers & IT
  • Business users
  • Digital leaders
  • Developer Fast Track
  • Plans & Pricing

Solutions

  • Retail
  • Travel and tourism
  • Financial services
  • Technology
  • Manufacturing
  • E-commerce
  • Localization
  • Personalization
  • Portals and knowledge bases

Resources

  • Academy
  • Docs
  • Contentstack for Developers
  • Product updates
  • Contentstack on Contentstack
  • Blog
  • Insights and analyst reports
  • The Forrester Wave™: Digital Experience Platforms, Q4 2025
  • Webinars
  • Podcasts
  • Glossary
  • Content generative library
  • Community
  • Headless CMS
  • Composable AXP
  • Personalization
  • CDP

Customers

  • Case Studies
  • Customer Care
  • Contentstack Experience Awards
  • Customer support

Partners

  • Overview
  • Find a partner
  • Login

Company

  • About us
  • News
  • Customer support portal
  • Contact

Social

  • Facebook
  • LinkedIn
  • Instagram
  • GitHub
  • YouTube
  • Discord
  • X
LegalTermsPrivacyTrust Center

Cookie settings

Copyright © 2026 Contentstack Inc. All rights reserved.
/
  1. Home
  2. APIs
  3. Lytics API
  4. V1
  5. Catalog

Catalog

markdownView as Markdown

Catalog exposes info about the schema of the data in Lytics.

* **Entities** are Object Types, the primary one being a *User*

although most accounts also have *Content* and *Campaign* as well.

Custom object types may be created.

* **Streams** Streams are data sources collected from api or *Integrations* (aka *Work*).

* **Schema** Per entity type is list of field-types.

Think of it as describing columns on the user table in a database.

Streams

GEThttps://api.lytics.io/api/schema/_streams

Get list of streams, field info they contain.

Hide Parameters

Headers

Authorizationoptionalstring

Sample Response
Status|200 OK
12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273
{
  "data": [
    {
      "stream": "events",
      "hidden": false,
      "ct": 37,
      "curct": 0,
      "last_msg_ts": "1401216931893",
      "last_update_ts": "1421167622683",
      "fields": [
        {
          "avg": 4,
          "card": 22,
          "is_array": true,
          "name": "utm_medium",
          "sample": [
            "cpc",
            "adwords",
            "blog",
            "pricing-page",
            "social",
            "integrations-page",
            "email",
            "Integrations-page",
            "docs",
            "search",
            "CPC",
            "twitter",
            "social_organic",
            "card",
            "social_paid",
            "sponsored",
            "mailchimp",
            "facebook",
            "infographic",
            "lytics-reporting",
            "retargeting",
            "referral"
          ],
          "smart": {
            "coverage": 0,
            "email": 0,
            "noun": 13,
            "time": 0,
            "uid": 0,
            "value": 0,
            "verb": 13,
            "ip": 0,
            "phone": 0,
            "url": 0,
            "analyses": 315
          },
          "sumlen": 146221,
          "type": "string",
          "usage": 32484,
          "first_seen": "2016-06-08T16:11:06Z",
          "last_seen": "2016-06-24T18:00:40.871025224Z",
          "hidden": false,
          "column": [
            {
              "table": "campaign",
              "as": "utm_mediums"
            },
            {
              "table": "user",
              "as": "utm_mediums"
            }
          ]
        }
      ]
    }
  ]
}

Stream Hide

POSThttps://api.lytics.io/api/schema/_streams/{stream},{hidden}

The POST endpoint allows Stream to be hidden/un-hidden. A hidden stream is not visible from the Application

*Data > Streams* Web UI.

**CAVEAT's**

* This does not delete the data, only hides it from ui.

* If queries (LQL) still map this data into profiles it will still be added.

``

# Hide a temporary stream

curl -XPOST 'https://api.lytics.io/api/schema/_streams' \

-H 'Content-type: application/json' \

-H "Authorization: $LIOKEY" \

-d '{

"stream": "my_temp_upload",

"hidden": true

}' | jq '.'

``

Hide Parameters

URL Parameters

streamrequiredstring

Name of the stream To Delete

Example:

my_temp_upload
hiddenrequiredstring

hide stream from Web UI

Example:

true

Query Parameters

account_idoptionalstring

Your Lytics account ID.

Headers

Authorizationoptionalstring

Sample Response
Status

Field Hide

POSThttps://api.lytics.io/api/schema/_streams/{stream},{name},{hidden}

This POST endpoint allows specific fields belong to a stream to be hidden/un-hidden. A hidden field is not

visible from the Application *Data > Streams* Web UI.

**CAVEAT'S**

* This does not delete the data, only hides the field in the UI.

* If queries (LQL) stil map this field into profiles, it will still be added

``

# Hide the 'first-name' field from the 'default' stream

curl -XPUT 'https://api.lytics.io/api/schema/_streams/default' \

-H 'Content-type: application/json'

-H 'Authorization: $LIOKEY' \

-d '{

"name": "first_name",

"hidden": true

}' | jq '.'

``

Hide Parameters

URL Parameters

streamrequiredstring

Name of the stream containing the field to delete

Example:

default
namerequiredstring

Name of the field to delete

Example:

first_name
hiddenrequiredstring

hide field from Web UI

Example:

true

Query Parameters

account_idoptionalstring

Your Lytics account ID.

Headers

Authorizationoptionalstring

Sample Response

Schema Fields

GEThttps://api.lytics.io/api/schema/{table}

Get Field information about a **NodeType(user)**. Eventually, we will extend beyond user.

Hide Parameters

URL Parameters

tablerequiredstring

Name

Example:

user

Query Parameters

account_idoptionalstring

Your Lytics account ID.

Headers

Authorizationoptionalstring

Sample Response
Status|200 OK
123456789101112131415161718192021222324252627282930313233343536373839404142434445
{
  "data": {
    "fields": [
      {
        "as": "created_ts",
        "is_by": false,
        "type": "date",
        "shortdesc": "Created Date",
        "longdesc": "First time usage for this user",
        "froms": [
          "default"
        ],
        "identities": [
          "min"
        ]
      },
      {
        "as": "content",
        "is_by": false,
        "type": "string",
        "shortdesc": "Site Content",
        "longdesc": "Specific piece of content viewed",
        "froms": [
          "default"
        ],
        "identities": [
          "content"
        ]
      },
      {
        "as": "location",
        "is_by": false,
        "type": "string",
        "shortdesc": "Location",
        "longdesc": "",
        "froms": [
          "linkedin_data"
        ],
        "identities": [
          "location"
        ]
      }
    ]
  }
}

FieldInfo For Table

GEThttps://api.lytics.io/api/schema/{table}/fieldinfo

FieldSuggest

GEThttps://api.lytics.io/api/schema/{table}/fieldsuggest/{field}

Suggest Values for a field for auto-complete in webui

Hide Parameters

URL Parameters

tablerequiredstring

Table name (generally user)

Example:

user
fieldrequiredstring

field name to do lookup on.

Example:

email

Query Parameters

account_idoptionalstring

Your Lytics account ID.

Headers

Authorizationoptionalstring

Sample Response
Status|200 OK
1
null
|
204 No Content
1
No Content
Status|204 No Content
1
No Content

Get Field level info about a **NodeType(user)**. Contains the possible values contained in each field.

Sample Response
Status|200 OK
123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170
{
  "data": {
    "fields": [
      {
        "field": "region",
        "terms_counts": {
          "02": 704,
          "07": 857,
          "AZ": 671,
          "CA": 18064,
          "CO": 654,
          "FL": 1537,
          "GA": 822,
          "H9": 758,
          "IL": 1254,
          "KS": 1104,
          "MA": 1301,
          "NC": 626,
          "NJ": 892,
          "NY": 4035,
          "ON": 1097,
          "OR": 12158,
          "PA": 1040,
          "TX": 2726,
          "VA": 1894,
          "WA": 1948
        },
        "more_terms": true,
        "ents_present": 70489,
        "ents_absent": 65796,
        "high_card": false,
        "approx_cardinality": 331
      },
      {
        "field": "utm_mediums",
        "terms_counts": {
          "Integrations-page": 1102,
          "adwords": 4434,
          "banner": 1496,
          "blog": 3413,
          "card": 10,
          "cpc": 2923,
          "email": 6051,
          "ppc": 220,
          "search": 8762,
          "social": 12513,
          "parnter": 2314
        },
        "more_terms": true,
        "ents_present": 29595,
        "ents_absent": 116690,
        "high_card": false,
        "approx_cardinality": 27
      },
      {
        "field": "zd_yymm",
        "terms_counts": {
          "1409": 5,
          "1410": 12,
          "1411": 4,
          "1412": 4,
          "1501": 3,
          "1502": 10,
          "1503": 26,
          "1504": 20,
          "1505": 3
        },
        "more_terms": false,
        "ents_present": 72,
        "ents_absent": 136213,
        "high_card": false,
        "approx_cardinality": 9
      },
      {
        "field": "openct",
        "terms_counts": {
          "1": 75,
          "2": 42,
          "3": 11,
          "4": 25,
          "5": 16,
          "6": 17,
          "8": 5,
          "9": 11,
          "10": 18,
          "11": 7,
          "12": 5,
          "19": 8,
          "20": 15,
          "24": 3,
          "26": 10,
          "32": 3,
          "35": 3,
          "51": 15,
          "108": 3,
          "152": 3
        },
        "more_terms": true,
        "ents_present": 328,
        "ents_absent": 135957,
        "high_card": false,
        "approx_cardinality": 98,
        "stats": {
          "mean": 15.621951219512194,
          "sd": 27.978602557504388,
          "min": 1,
          "max": 264,
          "n": 328
        }
      },
      {
        "field": "mc_lastopen_ts",
        "terms_counts": {},
        "more_terms": false,
        "histograms": [
          {
            "data": {
              "1446336000000": 2,
              "1446595200000": 2,
              "1447891200000": 333,
              "1448150400000": 348,
              "1448409600000": 9,
              "1448668800000": 8
            },
            "start": "1446401936511",
            "end": "1448993936511",
            "interval": "3d"
          },
          {
            "data": {
              "1442188800000": 35,
              "1442793600000": 3,
              "1445212800000": 71,
              "1445817600000": 2,
              "1446422400000": 4,
              "1447632000000": 340,
              "1448236800000": 351,
              "1448841600000": 7
            },
            "start": "1441131536511",
            "end": "1448993936511",
            "interval": "week"
          },
          {
            "data": {
              "1417392000000": 3,
              "1420070400000": 2,
              "1425168000000": 2,
              "1427846400000": 43,
              "1430438400000": 5,
              "1433116800000": 24,
              "1435708800000": 41,
              "1438387200000": 48,
              "1441065600000": 38,
              "1443657600000": 73,
              "1446336000000": 702
            },
            "start": "1417457936511",
            "end": "1448993936511",
            "interval": "month"
          }
        ],
        "ents_present": 1377,
        "ents_absent": 134908,
        "high_card": false,
        "approx_cardinality": 1212
      }
    ]
  }
}
Hide Parameters

URL Parameters

tablerequiredstring

Table name (generally "user")

Example:

user

Query Parameters

account_idoptionalstring

Your Lytics account ID.

limitoptionalstring

number of unique values to return per field

Example:

20
fieldsoptionalstring

list, or comma separated list of string fields to include

Example:

name,email,id

Headers

Authorizationoptionalstring